%global oname org.ops4j.base
Name:          ops4j-base
Version:       1.5.0
Release:       3%{?dist}
Summary:       OPS4J Base
# EPL: ops4j-base-io/src/main/java/org/ops4j/io/ZipExploder.java
License:       ASL 2.0 and EPL
URL:           http://team.ops4j.org/wiki/display/base/Base
Source0:       https://github.com/ops4j/org.ops4j.base/archive/base-%{version}.tar.gz
# ops4j-base package don't include the license file
# reported @ https://ops4j1.jira.com/browse/BASE-40
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: ops4j-master
BuildRequires: slf4j

# test deps
BuildRequires: junit
BuildRequires: logback

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
Utility classes and extensions to be used in OPS4J projects.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-base-%{version}

find -name '*.class' -delete
# empty jar file used as resources for testing
# ops4j-base-io/src/test/resources/dirscanner/bundle1.jar
# ops4j-base-io/src/test/resources/dirscanner/bundle2.jar
# ops4j-base-io/src/test/resources/dirscanner/subdir/bundle3.jar
# ops4j-base-io/src/test/resources/dirscanner/subdir/subdir/bundle4.jar
# contains the empty jar archive
# ops4j-base-io/src/test/resources/dirscanner.zip
find -name '*.jar' ! -name "bundle*.jar" -print -delete
find -name '*.zip' ! -name "dirscanner.zip" -print -delete

%pom_remove_plugin :retrotranslator-maven-plugin
#%% pom_disable_module ops4j-base

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 1.5.0-1
- update to 1.5.0
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.4.0-3
- Use Requires: java-headless rebuild (#1067528)

* Fri Aug 09 2013 gil cattaneo <puntogil@libero.it> 1.4.0-2
- fix license field

* Mon Nov 05 2012 gil cattaneo <puntogil@libero.it> 1.4.0-1
- initial rpm
